Issue #8315 has been updated by Usaku NAKAMURA.

Backport changed from 2.0.0: REQUIRED, 2.1: DONE to 2.0.0: DONE, 2.1: DONE

backported into `ruby_2_0_0` at r47609.

nagachika san:
I think that r44459 (and r44470) is a bug fix (lack of specification or implementation).
Thank you for information.

----------------------------------------
Bug #8315: mkmf does not include include paths from pkg_config anymore
https://bugs.ruby-lang.org/issues/8315#change-48945

* Author: Hans Mackowiak
* Status: Closed
* Priority: Normal
* Assignee: Nobuyoshi Nakada
* Category: ext
* Target version: 
* ruby -v: trunk
* Backport: 2.0.0: DONE, 2.1: DONE
----------------------------------------
#6504 does that, for cpp files `$CFLAGS` is not used anymore, so the problems are the include paths:

* there is no `$CXXFLAGS` global variable defined
* pkg_config does not add the includes paths to the correct `*FLAGS`


so my gems are currently broken for ruby trunk and if i fix that it may be broken for the older ruby 




-- 
https://bugs.ruby-lang.org/